<div class="preprocessing-annotation-list-container">
  <ng-container *ngIf="loaded; else loading">
    <mat-checkbox
      class="list-item"
      color="primary"
      [checked]="allSelected"
      [indeterminate]="someSelected"
      [disabled]="disabled"
      matTooltip="Checkbox is not ready yet"
      [matTooltipDisabled]="!disabled"
      (change)="selectAllChanged.emit($event.checked)">
      <b>Preprocessing regions</b>
    </mat-checkbox>
    <div class="list-item overflow">
      <app-preprocessing-annotation-item
        *ngFor="let annotation of annotationEntities"
        [annotation]="annotation"
        [selected]="!!annotationSelection.get(annotation.id)"
        [hidden]="hiddenAnnotationSelection[annotation.id]?.checked"
        [disabled]="disabled"
        (changeSelection)="changeAnnotationSelection.emit($event)"
        (zoomToAnnotation)="zoomToAnnotation.emit($event)"
        (changeHiddenState)="changeHiddenAnnotationSelection.emit($event)">
      </app-preprocessing-annotation-item>
    </div>
  </ng-container>
  <ng-template #loading>
    <div class="loading-container">
      <mat-spinner diameter="24"></mat-spinner>
      <div>Loading...</div>
    </div>
  </ng-template>
</div>
